import React from "react";
import PropTypes from "prop-types";

export const IconBerlin = (props) => {
  const { fill } = props;

  return (
    <svg version="1.2" xmlns="http://www.w3.org/2000/svg" overflow="visible" preserveAspectRatio="none" viewBox="0 0 482 482" width="60" height="60">
      <path d="M313 161v-16h8v-16h-17.8c5.2-10 8.4-20.8 9.4-32h8.4V81h-16c-4.4 0-8 3.6-8 8 0 14.1-4.2 27.8-12 39.5l-.3.5h-14.8l7.9-15.8c6.4-12.9 2.8-28.5-8.8-37.1L249 61V42.8c6.9-3.9 9.8-12.2 6.9-19.6l7.4-9.2c2.8-3.5 2.2-8.5-1.2-11.3-3.4-2.8-8.5-2.2-11.2 1.3l-7.4 9.2c-1.6-.3-3.2-.3-4.7 0L231.3 4c-2.8-3.5-7.8-4-11.2-1.3-3.5 2.8-4 7.8-1.3 11.3l7.4 9.2c-2.9 7.3 0 15.7 6.8 19.6V61l-20.1 15.1c-11.5 8.6-15.2 24.2-8.7 37.1l7.9 15.8h-14.8l-.3-.5c-7.8-11.7-12-25.5-12-39.5 0-4.4-3.6-8-8-8h-16v16h8.4c1 11.2 4.2 22 9.4 32H161v16h8v16H1v16h17.8l4 16H1v16h8v224c-4.4 0-8 3.6-8 8v32c0 4.4 3.6 8 8 8h464c4.4 0 8-3.6 8-8v-32c0-4.4-3.6-8-8-8V209h8v-16h-21.8l4-16H481v-16H313zM25 257h16v176H25V257zm24 208H17v-16h32v16zm0-224H25v-32h40v32H49zm40 192c-4.4 0-8 3.6-8 8v24H65v-24c0-4.4-3.6-8-8-8V289h32v144zm0-160H57v-16h32v16zm16 0v-16h16v16h-16zm16 16v144h-16V289h16zm-8-48H81v-32h32v32zm16 224H97v-16h32v16zm0-224v-32h32v32h-32zm40 192c-4.4 0-8 3.6-8 8v24h-16v-24c0-4.4-3.6-8-8-8V289h32v144zm0-160h-32v-16h32v16zm0-80H39.3l-4-16H169v16zm53.5-104.1L241 75l18.5 13.9c3.5 2.6 5.5 6.7 5.5 11 0 2.1-.5 4.2-1.5 6.1L252 129h-22.1l-11.5-23c-1-1.9-1.5-4-1.5-6.1.1-4.4 2.1-8.4 5.6-11zM185 145h112v16H185v-16zm24 320h-32v-16h32v16zm-8-176v144h-16V289h16zm-16-16v-16h16v16h-16zm24-32h-32v-32h32v32zm56 192c-4.4 0-8 3.6-8 8v24h-32v-24c0-4.4-3.6-8-8-8V289h48v144zm0-160h-48v-16h48v16zm-40-32v-32h32v32h-32zm-8-48h-32v-16h112v16h-80zm88 272h-32v-16h32v16zm-8-176v144h-16V289h16zm-16-16v-16h16v16h-16zm24-32h-32v-32h32v32zm152-32v32h-40v-32h40zm0 48v176h-16V257h16zm-144-80h133.8l-4 16H313v-16zm48 96v-16h16v16h-16zm16 16v144h-16V289h16zm-24-80v32h-32v-32h32zm-8 224c-4.4 0-8 3.6-8 8v24h-16v-24c0-4.4-3.6-8-8-8V289h32v144zm0-160h-32v-16h32v16zm40 192h-32v-16h32v16zm0-224h-16v-32h32v32h-16zm40 192c-4.4 0-8 3.6-8 8v24h-16v-24c0-4.4-3.6-8-8-8V289h32v144zm0-160h-32v-16h32v16zm40 176v16h-32v-16h32zm0 0" vectorEffect="non-scaling-stroke" fill={fill}/>
    </svg>
  );
};

IconBerlin.propTypes = {
  fill: PropTypes.string
};

IconBerlin.defaultProps = {
  fill: "var(--color-dark)"
};